# NIHHouse Class Reference

Inheritance diagram for NIHHouse:

## Private Member Functions
bool | IsInspectable (uint index) const
| Is the item with the given index inspectable?
uint | GetParent (uint index) const
| Get the parent "window_number" of a given instance.
const void * | GetInstance (uint index) const
| Get the instance given an index.
const void * | GetSpec (uint index) const
| Get (NewGRF) specs given an index.
void | SetStringParameters (uint index) const
| Set the string parameters to write the right data for a STRINGn.
void | Resolve (ResolverObject *ro, uint32 index) const
| Actually execute the real resolving for a given (instance) index.

## Detailed Description

Definition at line 182 of file newgrf_debug_data.h.

## Member Function Documentation

const void* NIHHouse::GetInstance | ( | uint | index | ) | const`[inline, private, virtual]`

Get the instance given an index.

Parameters:

  | index | the index to get the instance for.

Returns:
  the instance.

Implements NIHelper.

Definition at line 185 of file newgrf_debug_data.h.

uint NIHHouse::GetParent | ( | uint | index | ) | const`[inline, private, virtual]`

Get the parent "window_number" of a given instance.

Parameters:

  | index | the instance to get the parent for.

Returns:
  the parent's window_number or UINT32_MAX if there is none.

Implements NIHelper.

Definition at line 184 of file newgrf_debug_data.h.

References GetInspectWindowNumber(), GetTownIndex(), and GSF_FAKE_TOWNS.

const void* NIHHouse::GetSpec | ( | uint | index | ) | const`[inline, private, virtual]`

Get (NewGRF) specs given an index.

Parameters:

  | index | the index to get the specs for for.

Returns:
  the specs.

Implements NIHelper.

Definition at line 186 of file newgrf_debug_data.h.

References GetHouseType().

bool NIHHouse::IsInspectable | ( | uint | index | ) | const`[inline, private, virtual]`

Is the item with the given index inspectable?

Parameters:

  | index | the index to check.

Returns:
  true iff the index is inspectable.

Implements NIHelper.

Definition at line 183 of file newgrf_debug_data.h.

References GetHouseType(), HouseSpec::grf_prop, and GRFFilePropsBase< Tcnt >::grffile.

void NIHHouse::Resolve | ( | ResolverObject * | ro,
|  | uint32 | index |
| ) |  |  | const`[inline, private, virtual]`

Actually execute the real resolving for a given (instance) index.

Parameters:

  | ro | The resolver object to fill with everything needed to be able to resolve a variable.
  | index | The (instance) index of the to-be-resolved variable.

Reimplemented from NIHelper.

Definition at line 188 of file newgrf_debug_data.h.

References GetHouseResolver().

void NIHHouse::SetStringParameters | ( | uint | index | ) | const`[inline, private, virtual]`

Set the string parameters to write the right data for a STRINGn.

Parameters:

  | index | the index to get the string parameters for.

Implements NIHelper.

Definition at line 187 of file newgrf_debug_data.h.

References GetTownIndex(), and NIHelper::SetObjectAtStringParameters().

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h